# Uses of Interface
org.bukkit.entity.Squid

Packages that use Squid
Package
Description
com.destroystokyo.paper.entity.ai
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of Squid in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Squid
Modifier and Type
Field
Description
`static final GoalKey<Squid>`
VanillaGoal.`SQUID`
Deprecated.
`static final GoalKey<Squid>`
VanillaGoal.`SQUID_FLEE`
`static final GoalKey<Squid>`
VanillaGoal.`SQUID_RANDOM_MOVEMENT`

## Uses of Squid in org.bukkit.entity

Subinterfaces of Squid in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`GlowSquid`
A Glow Squid.